Solid Edge FrameworkSupport Type Library
BringForward Method
Description
Changes the display order of the referenced object by moving it in front of the first object that obscures it.
Syntax
Visual Basic
Public Sub BringForward() 
Remarks
This command is useful when other objects that are filled hide an object and the user wants to remove the object from hiding while not bringing the object to the top of the priority list.
Example
Private Sub Form_Load()
    Dim objApp As SolidEdgeFrameWork.Application
    Dim objDoc As SolidEdgeDraft.DraftDocument
    Dim objSheet As SolidEdgeDraft.Sheet
    Dim objArcs2d As SolidEdgeFrameworkSupport.Arcs2d
    Dim objArc2d1 As SolidEdgeFrameworkSupport.Arc2d
    Dim objArc2d2 As SolidEdgeFrameworkSupport.Arc2d
    Dim Lngorder1 As Long
    Dim Lngorder2 As Long
    ' Report errors
    Const PI = 3.14159265358979
    ' Create/get the application with specific settings
    On Error Resume Next
    Set objApp = GetObject(, "SolidEdge.Application")
    If Err Then
        Err.Clear
        Set objApp = CreateObject("SolidEdge.Application")
        Set objDoc = objApp.Documents.Add("SolidEdge.DraftDocument")
        objApp.Visible = True
    Else
        Set objDoc = objApp.ActiveDocument
    End If
    'getting the Active Sheet object
    Set objSheet = objDoc.ActiveSheet
    'Creating an Arc2d collection object
    Set objArcs2d = objSheet.Arcs2d
    ' Create an arc2d object
    Set objArc2d1 = objArcs2d.AddByStartAlongEnd(xStart:=0.233, yStart:=0.149, xAlong:=0.233, yAlong:=0.278, xEnd:=0.338, yEnd:=0.324)
    ' Create another Arc object
    Set objArc2d2 = objArcs2d.AddByStartAlongEnd(xStart:=0.325, yStart:=0.16, xAlong:=0.269, yAlong:=0.293, xEnd:=0.158, yEnd:=0.34)
    'get Zorder for objarc2d1 before bringing forward
    Lngorder1 = objArc2d1.ZOrder
    'Bringforward the first arc2d object
    Call objArc2d1.BringForward
    ' USER DISPLAY
    ' Release objects
    Set objApp = Nothing
    Set objDoc = Nothing
    Set objSheet = Nothing
    Set objArcs2d = Nothing
    Set objArc2d1 = Nothing
    Set objArc2d2 = Nothing
End Sub
See Also

Arc2d Object  | Arc2d Members

Send comments on this topic.